<?php

function add_quicktags() {
	if ( wp_script_is( 'quicktags' ) ) {
		$voice_img_url = get_img_src('voice_img.jpg');
		$voice_tag       = sprintf('[voice icon=\"%s\" name=\"スタッフ\" type=\"l\"]', $voice_img_url);
		$local_sales_tag = '[box class=\"glay_box\" title=\"現地販売会情報\"]';

		$buttons   = [];
		$buttons[] = '<script>';
		$buttons[] = 'if(window.addEventListener){';
		$buttons[] = "window.addEventListener('load', function(){";
		$buttons[] = sprintf( 'QTags.addButton("voice", "スタッフのコメント", "%s", "[/voice]", "", "", 2);', $voice_tag );


		$buttons[] = sprintf( 'QTags.addButton("local_sales", "現地販売会", "%s", "[/box]", "", "", 2);', $local_sales_tag );
		$buttons[] = '});';
		$buttons[] = '}';

		$buttons[] = '</script>';

		echo implode( "\n", $buttons );
	}
}

add_action( 'admin_print_footer_scripts', 'add_quicktags' );

